#
# spec file for package fcitx-kkc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-kkc
Version:        0.1.4
Release:        4.1
Summary:        Japanese KKC IME Wrapper for Fcitx
License:        GPL-3.0+
Group:          System/I18n/Japanese
Url:            https://github.com/fcitx/fcitx-kkc
Source:         http://download.fcitx-im.org/fcitx-kkc/%{name}-%{version}.tar.xz
#PATCH-FIX-UPSTREAM lower qt5 version
Patch0:         qt5-version.patch
BuildRequires:  cmake
BuildRequires:  fcitx-devel >= 4.2.8
BuildRequires:  fcitx-qt5-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libkkc-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{fcitx_requires}

%description
fcitx-kkc is a Japanese KKC IME Wrapper for Fcitx.

%prep
%autosetup -p1

%build
mkdir -p build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_POLICY_VERSION_MINIMUM=3.5 ..
make %{?_smp_mflags}
popd

%install
pushd build
%make_install
popd

%find_lang %{name}

%fdupes %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%dir %{_fcitx_libdir}/qt
%{_fcitx_moduleincdir}/kkc/
%{_fcitx_libdir}/%{name}.so
%{_fcitx_libdir}/qt/lib%{name}-config.so
%{_fcitx_addondir}/%{name}.conf
%{_fcitx_descdir}/%{name}.desc
%{_fcitx_inputmethoddir}/kkc.conf
%{_fcitx_imicondir}/kkc.png
%{_fcitx_datadir}/kkc
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%changelog
* Thu May  1 2025 Simon Lees <sflees@suse.de>
- Set -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to fix build with cmake4
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sat Jan 20 2024 Bernhard Wiedemann <bwiedemann@suse.com>
- Use %%patch0 to fix compilation with rpm-4.19
* Sat Dec  2 2017 i@marguerite.su
- update version 0.1.4
  * port kkc config to qt5
- add qt5-version.patch
* Sat May 30 2015 i@marguerite.su
- update version 0.1.2
  * add more skk dictionaries
* Mon Jun  9 2014 i@marguerite.su
- update version 0.1.1
  * Fix kana mode yen/backslash problem.
* Sat Apr 27 2013 i@marguerite.su
- initial package.
  * for testing purpose. not for production use.
